no login screen when booting with an external monitor attached

Bug #1723025 reported by Jean-Baptiste Lallement on 2017-10-12
82
This bug affects 15 people
Affects Status Importance Assigned to Milestone
Release Notes for Ubuntu
Undecided
Unassigned
gdm3 (Ubuntu)
Undecided
Unassigned

Bug Description

Setup:
Laptop + external monitor

On this machine, if an external display is attached it is considered as the primary display and it disables the internal display. Then all the output goes to the external display (including grub and boot messages)
But when gdm comes up, it considers the internal display as the primary display.
The internal display stays off and the login dialog in not visible. The external display is all purple and it is not possible to switch to the laptop internal monitor either with the keyboard function keys or by unplugging the cable.

ProblemType: Bug
DistroRelease: Ubuntu 17.10
Package: gdm3 3.26.1-3ubuntu2
ProcVersionSignature: Ubuntu 4.13.0-15.16-generic 4.13.4
Uname: Linux 4.13.0-15-generic x86_64
ApportVersion: 2.20.7-0ubuntu2
Architecture: amd64
Date: Thu Oct 12 09:40:56 2017
InstallationDate: Installed on 2013-09-03 (1499 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130902)
ProcEnviron:
 TERM=linux
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
SourcePackage: gdm3
UpgradeStatus: No upgrade log present (probably fresh install)
mtime.conffile..etc.gdm3.custom.conf: 2017-09-06T19:41:19.336760

Jean-Baptiste Lallement (jibel) wrote :
description: updated

Any method to configure this to simulate this scenario?

Also please submit an upstream bug too.

Le 13/10/2017 à 03:15, Marco Trevisan (Treviño) a écrit :
> Any method to configure this to simulate this scenario?
Not AFAIK. It's the hardware that disables the internal display when an
external monitor is connected.

>
> Also please submit an upstream bug too.
>
Against which package? gdm or wayland or something else?
Don't you need additional information to know where the problem could
come from ?

description: updated
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gdm3 (Ubuntu):
status: New → Confirmed
Sebastien Bacher (seb128) wrote :

gdm would be a good start, they can reassign if needed

Changed in ubuntu-release-notes:
status: New → Fix Released
tags: added: multimonitor
Igor Starikov (idlesign) wrote :

Confirm that after 17.04 -> 17.10 upgrade.

Playing with primary display setting works neither in built-in display ocnfigurator nor in nvidia-settings.

Daniel van Vugt (vanvugt) wrote :

Igor, there are several different causes of bugs similar to this. And particularly if you're using NVIDIA, please log a separate bug so someone can diagnose your specific case.

Ananth P (ananthp) wrote :

I have a very similar issue in 17.04. The external display is treated as the second screen, and login screen's main area goes to laptop's inbuilt screen even though the lid is closed. This started in 17.04, was never an issue in 16.04.

External monitor connected through HDMI is still functional. It shows the background image with dots overlay at login screen. There are two workarounds:

1. If I open and close laptop's lid, the login screen switches over to external display.
2. If I move the mouse towards right, as it enters the second screen area, login screen comes to external monitor.

If either of these workarounds help in 17.10, probably it's a bug carried forward from 17.04

Daniel van Vugt (vanvugt) wrote :

Should bug 1760849 be merged into this?

Daniel van Vugt (vanvugt) wrote :

Thank you for reporting this bug to Ubuntu.
Ubuntu 17.10 (artful) reached end-of-life on July 19, 2018.

See this document for currently supported Ubuntu releases:
https://wiki.ubuntu.com/Releases

We appreciate that this bug may be old and you might not be interested in discussing it any more. But if you are then please upgrade to the latest Ubuntu version and re-test. If you then find the bug is still present in the newer Ubuntu version, please add a comment here telling us which new version it is in and change the bug status to Confirmed.

Changed in gdm3 (Ubuntu):
status: Confirmed → Won't Fix

Hello, I am not the original bug reporter, but I wanted to follow up with you and let you know that I do still experience this issue on 18.04.

The last time I tested was Thanksgiving when I as home from Uni with my home machine. I have my television plugged into my gtx780 via a dp - hdmi converter and my monitor plugged into the native hdmi port on the card.

I did disable my nvidia card in the bios and plug into my Intel iGPU from my motherboard header and still experienced the issue so I hope that is applicable enough for you to consider this to still be a valid bug report.

When I first login my lock screen appears on the television which is not always on. On my main monitor I see the purple ubuntu background that replaces the black on gdm. I can hit enter, type password, hit enter and the desktop will read the default setting and appear on my monitor properly.

I dont believe GDM is reading the primary monitor setting that gsettings applies when you set it in the GUI. I'm not sure if thats possible to detect when a user is not logged in but following the mouse also sounds like a great Idea.

Daniel van Vugt (vanvugt) wrote :

Michael,

This bug is closed. Please subscribe to bug 1760849 instead.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers